#include <string>
using std::string;

#include "initglobals.h"

/* -------------------------------------------------------------------------
   Name:        InitializeGlobals
   ------------------------------------------------------------------------- */
void InitializeGlobals(PIVRINFO pInfo)
{
   char number[12];

   // Set prompt language directory
   {
      string promptsDirectory = pInfo->pszInstallationPath;
      promptsDirectory += "Languages\\English";

      pInfo->variables->SetSystem("@PROMPT", promptsDirectory.c_str());
   }

   // Default volume as recorded.
   pInfo->variables->SetGlobal("@VOLUME", "0");

   // Default timeout variable (3 seconds)
   pInfo->variables->SetGlobal("@TIMEOUT", "3000");

   // ID of currently active MF2 Queue
   pInfo->variables->SetSystem("@FAXQPTR", "");

   // Default value for port assigned to this application - TF Feb.21/02
   sprintf(number, "%d", pInfo->iPort);
   pInfo->variables->SetSystem("@PORT", number);

   // Call stats variables
   pInfo->variables->SetSystem("@CALL_LINE", "");

   // Touch tones entered to spell most recent letter
   pInfo->variables->SetSystem("@SPELLTONES", "");

// Temporary system variable until TFDesigner can warn users about changes between versions
   pInfo->variables->SetSystem("@RECORD_RESULT", "");

   pInfo->variables->SetGlobal("@SYS_DATA", "");

   // Control characters (note that format is octal for \xxx)
   pInfo->variables->SetSystem("@CHAR_SOH", "\001");
   pInfo->variables->SetSystem("@CHAR_STX", "\002");
   pInfo->variables->SetSystem("@CHAR_ETX", "\003");
   pInfo->variables->SetSystem("@CHAR_EOT", "\004");
   pInfo->variables->SetSystem("@CHAR_ENQ", "\005");
   pInfo->variables->SetSystem("@CHAR_ACK", "\006");
   pInfo->variables->SetSystem("@CHAR_BEL", "\007");
   pInfo->variables->SetSystem("@CHAR_BS", "\010");
   pInfo->variables->SetSystem("@CHAR_TAB", "\011");
   // For legacy purposes
   pInfo->variables->SetSystem("@TAB", "\011");
   pInfo->variables->SetSystem("@CHAR_LF", "\012");
   // For legacy purposes
   pInfo->variables->SetSystem("@LINEFEED", "\012");
   pInfo->variables->SetSystem("@CHAR_VT", "\013");
   pInfo->variables->SetSystem("@CHAR_FF", "\014");
   // For legacy purposes
   pInfo->variables->SetSystem("@FORMFEED", "\014");
   pInfo->variables->SetSystem("@CHAR_CR", "\015");
   pInfo->variables->SetSystem("@CHAR_SO", "\016");
   pInfo->variables->SetSystem("@CHAR_SI", "\017");
   pInfo->variables->SetSystem("@CHAR_DLE", "\020");
   pInfo->variables->SetSystem("@CHAR_DC1", "\021");
   pInfo->variables->SetSystem("@CHAR_DC2", "\022");
   pInfo->variables->SetSystem("@CHAR_DC3", "\023");
   pInfo->variables->SetSystem("@CHAR_DC4", "\024");
   pInfo->variables->SetSystem("@CHAR_NAK", "\025");
   pInfo->variables->SetSystem("@CHAR_SYN", "\026");
   pInfo->variables->SetSystem("@CHAR_ETB", "\027");
   pInfo->variables->SetSystem("@CHAR_CAN", "\030");
   pInfo->variables->SetSystem("@CHAR_EM", "\031");
   pInfo->variables->SetSystem("@CHAR_SUB", "\032");
   pInfo->variables->SetSystem("@CHAR_ESC", "\033");
   pInfo->variables->SetSystem("@CHAR_FS", "\034");
   pInfo->variables->SetSystem("@CHAR_GS", "\035");
   pInfo->variables->SetSystem("@CHAR_RS", "\036");
   pInfo->variables->SetSystem("@CHAR_US", "\037");
   pInfo->variables->SetSystem("@SPACE", "\040");
   pInfo->variables->SetSystem("@CHAR_DEL", "\177");

   pInfo->variables->SetSystem("@HANGUP", "");
   pInfo->variables->SetSystem("@FATAL", "");

   // Calculated values never reference associated value
   pInfo->variables->SetSystem("@CALL_SEIZED", "");
   pInfo->variables->SetSystem("@CALL_START", "");
   pInfo->variables->SetSystem("@CALL_END", "");
   pInfo->variables->SetSystem("@CALL_ELAPSE", "");
   pInfo->variables->SetSystem("@WEEKDAY", "");
   pInfo->variables->SetSystem("@DATE", "");
   pInfo->variables->SetSystem("@DATE_UTC", "");
   pInfo->variables->SetSystem("@TIME", "");
   pInfo->variables->SetSystem("@TIME_UTC", "");
   pInfo->variables->SetSystem("@DATETIME", "");
   pInfo->variables->SetSystem("@DATETIME_UTC", "");
   pInfo->variables->SetGlobal("@DATE_SEPARATOR", "/");
   pInfo->variables->SetSystem("@UNIX_TIME", "");
   pInfo->variables->SetSystem("@HOOK_STATUS", "");
   pInfo->variables->SetSystem("@SYS_CALL_DIRECTION", "");

   // Allows for 32 bit ID number
   sprintf(number, "%d", pInfo->iAppID);
   pInfo->variables->SetSystem("@APPID", number);

   // Place call result variables
   pInfo->variables->SetSystem("@CALLOUT_RESULT", "");
   pInfo->variables->SetSystem("@CALLOUT_REASON", "");

   // Hardware values
   pInfo->variables->SetSystem("@TRUNK_TYPE", "");
   pInfo->variables->SetSystem("@SYS_CALLREF", "");
}
/*InitializeGlobals*/
